aboutsummaryrefslogtreecommitdiff
path: root/network_daemons/hostapd/hostapd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network_daemons/hostapd/hostapd.SlackBuild')
-rwxr-xr-xnetwork_daemons/hostapd/hostapd.SlackBuild100
1 files changed, 100 insertions, 0 deletions
diff --git a/network_daemons/hostapd/hostapd.SlackBuild b/network_daemons/hostapd/hostapd.SlackBuild
new file mode 100755
index 0000000..d766a03
--- /dev/null
+++ b/network_daemons/hostapd/hostapd.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+CWD=`pwd`
+NAME=hostapd
+VERSION=0.6.9
+ARCH=i586
+BUILD=1rt73usb
+#BUILD=1
+PKGNAME=$NAME
+PKGVER=$VERSION
+BASEDIR=$PKGNAME-$PKGVER
+ARCHIVE=$BASEDIR.tar.gz
+REPOSITORY=http://hostap.epitest.fi/releases
+FLAGS="-O2 -march=pentium -mtune=pentium -fno-strength-reduce \
+ -fomit-frame-pointer -ffast-math"
+PKG=/tmp/package-$NAME
+
+rm -rf $PKG
+mkdir -p $PKG
+
+# Obtain sources
+if [ ! -e $ARCHIVE ]; then
+ if `wget "$REPOSITORY/$ARCHIVE"`; then
+ true
+ else
+ exit 1
+ fi
+fi
+
+# Compile
+cd /tmp
+tar zxvf $CWD/$ARCHIVE
+cd $BASEDIR
+bzcat $CWD/$NAME-$VERSION-install.patch.bz2 | patch -p1 -s
+#bzcat $CWD/$NAME-$VERSION-nodumpstate.patch.bz2 | patch -p1 -s
+bzcat $CWD/$NAME-$VERSION-rt73usbhack.patch.bz2 | patch -p1 -s
+bzcat $CWD/$NAME-$VERSION-config.patch.bz2 | patch -p1 -s
+bzcat $CWD/$NAME-$VERSION-slackware.patch.bz2 | patch -p1 -s
+bzcat $CWD/$NAME-$VERSION-optflags.patch.bz2 | patch -p1 -s
+(
+cd hostapd
+make OPTS="${FLAGS}"
+)
+
+# Install
+(
+cd hostapd
+make install \
+ DESTDIR=$PKG \
+ SYSCONFDIR=/etc/conf.d \
+ MANDIR=/usr/man \
+ DOCDIR=/usr/doc/${NAME}-${VERSION}
+)
+mkdir -p $PKG/install $PKG/etc/rc.d
+cat > $PKG/install/slack-desc <<EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+hostapd: hostapd (Access point daemon)
+hostapd:
+hostapd: Hostapd is a user space daemon for access point and authentication
+hostapd: servers. It implements IEEE 802.11 access point management, IEEE
+hostapd: 802.1X/WPA/WPA2/EAP Authenticators, RADIUS client, EAP server, and
+hostapd: RADIUS authentication server. hostapd is designed to be a "daemon"
+hostapd: program that runs in the background and acts as the backend component
+hostapd: controlling authentication.
+hostapd:
+hostapd: Homepage: http://hostap.epitest.fi/hostapd
+hostapd:
+EOF
+
+cat > $PKG/install/slack-required <<EOF
+libnl >= 1.1-i486-1
+openssl-solibs >= 0.9.8i-i486-1
+EOF
+
+install -m 0755 doinst.sh ${PKG}/install
+
+install -m 0644 rc.hostapd ${PKG}/etc/rc.d/rc.hostapd.new
+
+mv ${PKG}/etc/conf.d/hostapd.conf ${PKG}/etc/conf.d/hostapd.conf.new
+
+chmod 444 $PKG/usr/man/man?/*.?
+gzip -9nf $PKG/usr/man/man?/*.?
+
+strip \
+ ${PKG}/usr/bin/* \
+ ${PKG}/usr/sbin/* || :
+
+chown -R root.root $PKG
+
+# Make package
+cd $PKG
+cat install/slack-desc | grep "$NAME:" > /tmp/$NAME-$VERSION-$ARCH-$BUILD.txt
+makepkg -l y -c n /tmp/$NAME-$VERSION-$ARCH-$BUILD.tgz